#!/bin/bash
## Stop on error
#set -e

#chmod +x fájl/helye/és/maga/a/fájl.sh
#Futtatás: fájl/helye/és/maga/a/fájl.sh

##################################################################################################################
# Arch scriptek:
  #https://github.com/arcolinuxd/arco-plasma
  #https://github.com/erikdubois/arcolinux-nemesis

#tput setaf 0 = black
#tput setaf 1 = red
#tput setaf 2 = green
#tput setaf 3 = yellow
#tput setaf 4 = dark blue
#tput setaf 5 = purple
#tput setaf 6 = cyan
#tput setaf 7 = gray
#tput setaf 8 = light blue
#tput sgr0   = normal
#tput bold    = bold
bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}
##################################################################################################################

# Entering work folder
  cd /home/$USER/.progs
  sudo mkdir -p /home/$USER/.var/app/
  sudo chown -R $USER:$GROUP /home/$USER/
  cp -a rp-programscript.desktop /home/$USER/.local/share/applications/
  echo "Exec=/home/$USER/.progs/3progs.sh" >> /home/$USER/.local/share/applications/rp-programscript.desktop

# Variables - Credit Lordify
  CPU=$(lscpu | grep "AMD" -c)
  nVidia=$(lspci -P | grep "NVIDIA" -c)

zenity --warning --text=' Aurból való telepítés nem a kedvence az manjaro-nak. A telepítés yay használatával:\n\n\n telepítésnél üsd le: a\n zöld szövegből kiléptetés: q ' --width='420' --height='100'

# Zenity ablak megjelenítése
user_choice=$(zenity --list --checklist --width='1000' --height='1000' \
  --title="APP Telepítő Script base by Airman & RAVE (Magyarosította balage79)" \
  --text="Válassz az alábbi programok közül:" \
  --column="Válassz" --column="Programnév / Leírás" \
  FALSE "AMD videokártyához Mesa (jogvédett) hardveres gyorsítás engedélyezése. (Ne a processzor kódoljon-dekódoljon, hanem a videókártya)" \
  FALSE "Brave - webböngésző" \
  FALSE "CoreCTRL - AMD GPU beállító alkalmazás" \
  FALSE "Csak a FO Monitoron jelenjen meg a Login Screen - Tobb monitoros setupoknal" \
  FALSE "Docker - Ha tudod mi ez akkor KELL Neked" \
  FALSE "Darktable - Adobe Lightroom Linuxos megfelelője" \
  FALSE "Discord - VoIP-, és csevegőalkalmazás" \
  FALSE "DosBox - Régi, DOS-os játék emulátor" \
  FALSE "Double Commander - Total Commander Linuxos megfelelője" \
  FALSE "Easy Effects - Hangkártyát vezérlő program (Hangeffektek)" \
  FALSE "Firejail - Bongeszo Zart Kontener" \
  FALSE "{AUR} FreeTube - Adatlopás-mentes YouTube-kliens" \
  FALSE "GameMode" \
  FALSE "GTKStressTesting - CPU Monitorozas es Stress Test Program" \
  FALSE "Heroic Launcher - Epic Games Launcher Linux verziója" \
  FALSE "{AUR} Input-Remapper 2.0 - egér/bill. gomb konfiguráló, macro író progi" \
  FALSE "Kdenlive - Linuxos videószerkesztő program" \
  FALSE "KeepassXC - Jelszókezelő, az adatbázist titkosítva tárolja a PC-n" \
  FALSE "KVM QEMU - virtualizáció, virtuális gépek futtatása" \
  FALSE "Legutobbi Baloldali Menupont Torlese a File Kezelobol (Nautilus)" \
  FALSE "{AUR} Librewolf - Firefox ESR alapú webböngésző" \
  FALSE "Lutris - Game launchereket, és egyéb appokat futtató környezet" \
  FALSE "MangoHud/Goverlay - MSI Afterburner Linuxos megfelelője, FPS kijelzés, stb." \
  FALSE "Midnight Commander - 2 ablakos file kezelő" \
  FALSE "{AUR} Monophony - Youtube videokbol kiszedi a hangot. Jo cucc podcastokhoz" \
  FALSE "Mumble - hang alapú csevegőalkalmazás" \
  FALSE "Fastfetch - terminálos rendszerinfó megjelenítő" \
  FALSE "OnlyOffice - Legujabb MS Office Linuxos megfeleloje - LIBREOFFICE-t TOROLNI FOGJA!" \
  FALSE "OBS - Nyílt forrású felvételkészítő és streamelő program" \
  FALSE "{AUR} Parabolic - Videóletöltő, működik minden platformon" \
  FALSE "{AUR} P7Zip - tömörítő program" \
  FALSE "Pavucontrol - Apponkénti hangerőszabályzás/konfigurálás" \
  FALSE "PhotoGIMP - Adobe Photoshop-szerű képszerkesztő Linuxra" \
  FALSE "QBittorrent - torrent kliens" \
  FALSE "Signal - Titkosított üzenetküldő" \
  FALSE "Spotify - Zenelejátszó Linuxra" \
  FALSE "{AUR} Spotube - Ingyenes Premium Spotify Zenelejátszó Linuxra" \
  FALSE "Steam Launcher" \
  FALSE "Telegram - Titkosított üzenetküldő" \
  FALSE "{AUR} Vibrant - Szín szaturáció beállító program" \
  FALSE "Vivaldi - webböngésző" \
  FALSE "VLC - médialejátszó" \
  FALSE "Windows 11 Telepítő - Csak Profiknak!" \
  FALSE "{AUR} Zenpower3 - AMD CPU Feszultseg, Aramerosseg es Fogyasztas Monitorozas" \
   \
  FALSE "{AUR} Chrome távoli elérés" \
  FALSE "gimp" \
  FALSE "{AUR} Grand orgue" \
  FALSE "Ktorrent"\
  TRUE "libreoffice-fresh-hu" \
  FALSE "{AUR} microsoft teams" \
  FALSE "Nvidia optimus telepités és beállítása laptophoz" \
  FALSE "Wine"  )
if [[ $? -eq 1 ]]; then
   echo ${bold}${yellow}Cancelled by User. Exiting!${normal}
   exit 1
fi

if [[ $user_choice = *"AMD videokártyához Mesa (jogvédett) hardveres gyorsítás engedélyezése. (Ne a processzor kódoljon-dekódoljon, hanem a videókártya)"* ]]; then
  sudo pacman -S --noconfirm --needed libva-utils
      #vainfo
      sudo chmod +x ./amd_mesa_hardveres_codec.sh
      ./amd_mesa_hardveres_codec.sh
  echo ---------------------------------------------
  echo

fi

if [[ $user_choice = *"Steam Launcher"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Steam Launcher${normal}

  if [[ $nVidia -gt 0 ]]; then
    sudo pacman -S steam nvidia-utils lib32-nvidia-utils --noconfirm
  else
    sudo pacman -S steam vulkan-radeon lib32-vulkan-radeon --noconfirm
  fi

  steam &
  zenity --info --text='A Steam el fog indulni, lefrissíti magát, a Login ablak felugrása után bezárhatod! \nEzt az ablakot csak a steam login bezárás után csukd be.' --width='420' --height='100' --title='Figyelmeztetés!'
  sudo mkdir -p /home/$USER/.steam/steam
  sudo mkdir -p /home/$USER/.steam/root/compatibilitytools.d
  sudo chown -R $USER:$GROUP /home/$USER/.steam
  sudo rsync -ap --info=progress2 steam_dev.cfg /home/$USER/.steam/steam
  # A telepítés hibát dob. De ha újra lefuttatod akkor nincs hiba. Ezért van benne kétszer.
  sudo chmod +x update-proton-ge
  ./update-proton-ge
  ./update-proton-ge
  sudo cp -a update-proton-ge /usr/share/

  echo ${bold}${yellow}Steam + Latest ProtonGE ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Heroic Launcher - Epic Games Launcher Linux verziója"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Heroic Launcher with MangoHud${normal}

  sudo pacman -S --noconfirm --needed heroic-games-launcher

  echo ${bold}${yellow}Heroic Launcher with MangoHud ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"GameMode"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}GameMode${normal}

  sudo pacman -S --noconfirm --needed gamemode lib32-gamemode gamescope

  echo ${bold}${yellow}GameMode ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} P7Zip - tömörítő program"* ]]; then
  echo
  echo Installing ${bold}${yellow}P7Zip${normal}

  yay -S p7zip-full-bin --noconfirm -needed --sudoloop --save

  echo ${bold}${yellow}P7Zip ${normal}installed.
  echo
fi

if [[ $user_choice = *"Fastfetch - terminálos rendszerinfó megjelenítő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Fastfetch${normal}

  sudo pacman -S --noconfirm --needed neofetch fastfetch
  echo "fastfetch" >> /home/$USER/.bashrc

  echo ${bold}${yellow}Fastfetch ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} Input-Remapper 2.0 - egér/bill. gomb konfiguráló, macro író progi"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Input-Remapper 2.0${normal}

  yay -S  --noconfirm -needed --sudoloop --save Input-Remapper-git

  echo ${bold}${yellow}Input-Remapper 2.0 ${normal}installed.
  echo ---------------------------------------------
  echo
fi


if [[ $user_choice = *"Mumble - hang alapú csevegőalkalmazás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Mumble${normal}

  sudo pacman -S --noconfirm --needed mumble

  echo ${bold}${yellow}Mumble ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Lutris - Game launchereket, és egyéb appokat futtató környezet"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Lutris with MangoHud${normal}

  sudo pacman -S --noconfirm --needed lutris mangohud goverlay

  echo ${bold}${yellow}Lutris with MangoHud compatibility ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"KVM QEMU - virtualizáció, virtuális gépek futtatása"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}KVM QEMU${normal}

  sudo pacman -S --noconfirm --needed qemu-full qemu-img libvirt virt-install virt-manager virt-viewer edk2-ovmf dnsmasq swtpm guestfs-tools libosinfo tuned dmidecode iptables bridge-utils libguestfs vde2 openbsd-netcat

    # AMD vagy INTEL verzió
  if [[ $CPU -gt 0 ]]; then
	  echo "options kvm_amd sev=1" | sudo tee /etc/modprobe.d/amd-sev.conf
	  sudo sed -i 's/quiet splash/amd_iommu=on iommu=pt iommu=1 mem_encrypt=on kvm_amd.sev=1 quiet splash/' /etc/default/grub
	  sudo update-grub

	  sudo modprobe -r kvm_amd
	  sudo modprobe kvm_amd nested=1
	  echo "options kvm_amd sev=1" | sudo tee /etc/modprobe.d/amd-sev.conf

  else
	  sudo sed -i 's/quiet splash/intel_iommu=on iommu=pt iommu=1 quiet splash/' /etc/default/grub
	  sudo update-grub

	  sudo modprobe -r kvm_intel
	  sudo modprobe kvm_intel nested=1
	  echo "options kvm_intel nested=1" | sudo tee /etc/modprobe.d/kvm-intel.conf
  fi

  sudo usermod -aG kvm $USER
  sudo usermod -aG input $USER
  sudo usermod -aG libvirt $USER
  sudo sed -i '530d' /etc/libvirt/qemu.conf
  sudo sed -i "530 i user = \"$USER"\" /etc/libvirt/qemu.conf
  sudo sed -i 's/#group = "kvm"/group = "kvm"/' /etc/libvirt/qemu.conf
  sudo systemctl enable libvirtd.service
  sudo systemctl start libvirtd.service

  echo ${bold}${yellow}KVM QEMU ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"CoreCTRL - AMD GPU beállító alkalmazás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}CoreCTRL and User Settings${normal}

  sudo pacman -S --noconfirm --needed corectrl
  #systemd missing
  cp /usr/share/applications/org.corectrl.CoreCtrl.desktop ~/.config/autostart/
  echo "polkit.addRule(function(action, subject) {
    if ((action.id == \"org.corectrl.helper.init\" ||
         action.id == \"org.corectrl.helperkiller.init\") &&
        subject.local == true &&
        subject.active == true &&
        subject.isInGroup(\"$USER\")) {
            return polkit.Result.YES;
    }
});" | sudo tee /etc/polkit-1/rules.d/90-corectrl.rules

  sudo sed -i 's/your-user-group/"$USER"/' /home/$USER/.progs/90-corectrl.rules
  sudo cp -a /home/$USER/.progs/90-corectrl.rules /etc/polkit-1/rules.d/90-corectrl.rules

  sudo mkdir -p /home/$USER/.config//corectrl
  sudo chown -R $USER:$GROUP ~/.config
  sudo cp -a corectrl.ini /home/$USER/.config/corectrl
  sudo sed -i 's/quiet splash/amdgpu.ppfeaturemask=0xffffffff quiet splash/' /etc/default/grub
  sudo update-grub
  echo ${bold}${yellow}CoreCTRL and User settings ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Docker - Ha tudod mi ez akkor KELL Neked"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Docker${normal}

  sudo pacman -S --noconfirm --needed docker

  echo ${bold}${yellow}Docker ${normal}installed.
  echo ---------------------------------------------
  echo
fi


if [[ $user_choice = *"OBS - Nyílt forrású felvételkészítő és streamelő program"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}OBS Studio${normal}

  sudo pacman -S --noconfirm --needed obs-studio
  yay -S  --noconfirm -needed --sudoloop --save obs-gstreamer obs-vaapi obs-studio-browser obs-vkcapture

  echo ${bold}${yellow}OBS Studio ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Firejail - Bongeszo Zart Kontener"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}FireJail${normal}

  sudo pacman -S --noconfirm --needed firejail

  echo ${bold}${yellow}FireJail ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Vivaldi - webböngésző"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Vivaldi${normal}

  sudo pacman -S --noconfirm --needed vivaldi vivaldi-ffmpeg-codecs
  cp -a vivaldi /home/$USER/.config/

  echo ${bold}${yellow}Vivaldi ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Brave - webböngésző"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Brave${normal}

  sudo pacman -S --noconfirm --needed brave-browser
  sudo cp -a /home/$USER/.progs/BraveSoftware /home/$USER/.config/

  echo ${bold}${yellow}Brave ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} Librewolf - Firefox ESR alapú webböngésző"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Librewolf${normal}

  yay -S  --noconfirm -needed --sudoloop --save librewolf-bin
  cp -a /home/$USER/.progs/.librewolf/. /home/$USER/

  echo ${bold}${yellow}LibreWolf ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} FreeTube - Adatlopás-mentes YouTube-kliens"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}FreeTube${normal}

  yay -S  --noconfirm -needed --sudoloop --save freetube-bin
  sudo mkdir -p /home/$USER/.config/FreeTube/
  sudo chown -R $USER:$GROUP /home/$USER/
  sudo cp -a FreeTube /home/$USER/.config/

  echo ${bold}${yellow}FreeTube ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"OnlyOffice - Legujabb MS Office Linuxos megfeleloje - LIBREOFFICE-t TOROLNI FOGJA!"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}OnlyOffice${normal}

  sudo pacman -S --noconfirm --needed onlyoffice-desktopeditors

  echo ${bold}${yellow}OnlyOffice ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"DosBox - Régi, DOS-os játék emulátor"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}DosBox Staging${normal}

  sudo pacman -S --noconfirm --needed dosbox

  echo ${bold}${yellow}DosBox - Staging ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Pavucontrol - Apponkénti hangerőszabályzás/konfigurálás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Pavucontrol${normal}

  sudo pacman -S --noconfirm --needed pavucontrol

  echo ${bold}${yellow}Pavucontrol ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"KeepassXC - Jelszókezelő, az adatbázist titkosítva tárolja a PC-n"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}KeepassXC${normal}

  sudo pacman -S --noconfirm --needed keepassxc

  echo ${bold}${yellow}KeePassXC ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Spotify - Zenelejátszó Linuxra"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Spotify${normal}

  sudo pacman -S --noconfirm --needed spotify-launcher haskell-tidal

  echo ${bold}${yellow}Spotify ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} Spotube - Ingyenes Premium Spotify Zenelejátszó Linuxra"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Spotube${normal}

  yay -S  --noconfirm -needed --sudoloop --save spotube-bin
  sudo pacman -S --noconfirm --needed haskell-tidal

  echo ${bold}${yellow}Spotube ${normal}installed.
  echo ---------------------------------------------
  echo
fi


if [[ $user_choice = *"Darktable - Adobe Lightroom Linuxos megfelelője"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Darktable${normal}

  sudo pacman -S --noconfirm --needed darktable

  echo ${bold}${yellow}Darktable ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"VLC - médialejátszó"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}VLC Media Player${normal}

  sudo pacman -S --noconfirm --needed vlc

  echo ${bold}${yellow}VLC Media Player ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"QBittorrent - torrent kliens"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}QBittorrent${normal}

 sudo pacman -S --noconfirm --needed qbittorrent
  cp -a qBittorrent /home/$USER/.config/

  echo ${bold}${yellow}QBittorrent ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Telegram - Titkosított üzenetküldő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Telegram${normal}

  sudo pacman -S --noconfirm --needed telegram-desktop

  echo ${bold}${yellow}Telegram ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Signal - Titkosított üzenetküldő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Signal${normal}

  sudo pacman -S --noconfirm --needed signal-desktop

  echo ${bold}${yellow}Signal ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Kdenlive - Linuxos videószerkesztő program"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Kdenlive${normal}

  sudo pacman -S --noconfirm --needed kdenlive

  echo ${bold}${yellow}Kdenlive ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"PhotoGIMP - Adobe Photoshop-szerű képszerkesztő Linuxra"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}PhotoGIMP- flatpak${normal}




  echo ${bold}${yellow}GIMP with PhotoGIMP Addon ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Discord - VoIP-, és csevegőalkalmazás"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Discord${normal}

  sudo pacman -S --noconfirm --needed discord

  # Vencord script credit to Lordify

  # Add USER repo to flathub, because Linux Mint doesn't have it
  #flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
  # Download the latest release of Vencord Installer from Github
  wget https://github.com/Vencord/Installer/releases/latest/download/VencordInstallerCli-linux
  sleep 1
  # Grant execution permission to vencord installer
  sudo chmod +x VencordInstallerCli-linux
  sleep 1
  # Create Symlink of /home/$USER directory in /usr/share/Vencord, because the Kurva Vencord script doesn't handle variables like $USER
  sudo ln -s ~/ /usr/share/Vencord
  sleep 1
  # Install vencord with openasar
  ./VencordInstallerCli-linux -install -location /usr/share/Vencord/.local/share/flatpak/app/com.discordapp.Discord
  sleep 1
  ./VencordInstallerCli-linux -install-openasar -location /usr/share/Vencord/.local/share/flatpak/app/com.discordapp.Discord/
  sleep 1
  # Remove symlink from /usr/share/Vencord
  sudo unlink /usr/share/Vencord
  sleep 1
  sudo mkdir -p /home/$USER/.var/app/com.discordapp.Discord/config/Vencord
  sudo chown -R $USER:$GROUP /home/$USER/.var/app/com.discordapp.Discord/config/Vencord/
  cp -a /home/$USER/.progs/themes/ /home/$USER/.var/app/com.discordapp.Discord/config/Vencord/themes

  echo ${bold}${yellow}Discord / Vencord ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Easy Effects - Hangkártyát vezérlő program (Hangeffektek)"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Easy Effects${normal}

  sudo pacman -S --noconfirm --needed easyeffects

  echo ${bold}${yellow}Easy Effects ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} Parabolic - Videóletöltő, működik minden platformon"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Parabolic${normal}

  yay -S  --noconfirm -needed --sudoloop --save parabolic

  echo ${bold}${yellow}Parabolic ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} Vibrant - Szín szaturáció beállító program"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Vibrant${normal}

  yay -S  --noconfirm -needed --sudoloop --save vibrant-git

  echo ${bold}${yellow}Vibrant ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Legutobbi Baloldali Menupont Torlese a File Kezelobol (Nautilus)"* ]]; then
  echo
  echo ---------------------------------------------
  echo Removing ${bold}${yellow}Nautilus Recent Menu ${normal}



  echo ${bold}${yellow}Nautilus Recent Menu ${normal}removed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Csak a FO Monitoron jelenjen meg a Login Screen - Tobb monitoros setupoknal"* ]]; then
  echo
  echo ---------------------------------------------
  echo Setting ${bold}${yellow}Only main monitor on login${normal}

  zenity --warning --text='!!  SWITCH TO PRIMARY MONITOR ONLY  !!' --width='300' --height='100'
  sudo mkdir -p /var/lib/gdm/.config/
  sudo cp ~/.config/monitors.xml /var/lib/gdm/.config/monitors.xml
  sudo chown gdm:gdm /var/lib/gdm/.config/monitors.xml

  echo ${bold}${yellow}Only main monitor on login ${normal}set.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"MangoHud/Goverlay - MSI Afterburner Linuxos megfelelője, FPS kijelzés, stb."* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}MangoHud/Goverlay - built from source${normal}

  sudo pacman -S --noconfirm --needed mangohud lib32-mangohud goverlay
  #sudo mkdir -p /usr/share/goverlay/
  #sudo cp -a goverlay /usr/share/goverlay/
  #sudo cp -a goverlay.ico /usr/share/goverlay/
  #sudo cp -a goverlay.desktop /home/$USER/.local/share/applications/
  #sudo chown -R $USER:$GROUP /home/$USER/.mangohud
  #cd /home/$USER/.mangohud
  #git clone --recurse-submodules https://github.com/flightlessmango/MangoHud.git
  #cd MangoHud
  #meson build
  #sudo ninja -C build install
  #cd -
  #sudo rm -rf /home/$USER/.mangohud

  echo ${bold}${yellow}MangoHud/Goverlay - built from source ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} Zenpower3 - AMD CPU Feszultseg, Aramerosseg es Fogyasztas Monitorozas"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Zenpower3 - built from source${normal}

  yay -S  --noconfirm -needed --sudoloop --save zenpower3-dkms
  sudo modprobe zenpower

  echo ${bold}${yellow}Zenpower3 ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"GTKStressTesting - CPU Monitorozas es Stress Test Program"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}GTKStressTesting${normal}



  echo ${bold}${yellow}GTKStressTesting ${normal}installed.
  echo ---------------------------------------------
  echo
fi


if [[ $user_choice = *"Double Commander - Total Commander Linuxos megfelelője"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Double Commander${normal}

  sudo pacman -S --noconfirm --needed doublecmd-qt6

  echo ${bold}${yellow}Double Commander ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Midnight Commander - 2 ablakos file kezelő"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Midnight Commander${normal}

  sudo pacman -S --noconfirm mc

  echo ${bold}${yellow}Midnight Commander ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"{AUR} Monophony - Youtube videokbol kiszedi a hangot. Jo cucc podcastokhoz"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Monophony${normal}

  yay -S --noconfirm -needed --sudoloop --save monophony

  echo ${bold}${yellow}Monophony ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"Windows 11 Telepítő - Csak Profiknak"* ]]; then
  zenity --warning --text='!! MAJOM VAGY !!' --width='300' --height='100'
fi

if [[ $user_choice = *"conky"* ]]; then
    sudo pacman -S --noconfirm --needed hddtemp
    sudo pacman -S --noconfirm --needed htop
    sudo pacman -S --noconfirm --needed lm_sensors
    sudo pacman -S --noconfirm --needed conky
    sudo cp -a conky/.conkyrc /home/$USER
    cp -a /usr/share/applications/conky.desktop /home/$USER/.config/autostart/
    #sudo cp -a /usr/share/applications/conky.desktop /home/$USER/.config/autostart/

fi

if [[ $user_choice = *"Ktorrent"* ]]; then
  echo
  echo ---------------------------------------------
  echo Installing ${bold}${yellow}Ktorrent - DEB Pkg${normal}

  sudo pacman -S --noconfirm --needed ktorrent

  echo ${bold}${yellow}Ktorrent ${normal}installed.
  echo ---------------------------------------------
  echo
fi

if [[ $user_choice = *"gimp"* ]]; then
    sudo pacman -S --noconfirm --needed gimp

fi

if [[ $user_choice = *"libreoffice-fresh-hu"* ]]; then
    sudo pacman -S --noconfirm --needed libreoffice-fresh-hu
    libreoffice &
    sleep 4
    killall soffice.bin
    #Dark ikon téma
    sudo cp -a libreoffice_darkicon/registrymodifications.xcu /home/$USER/.config/libreoffice/4/user/
    #sudo sed -i 's/breeze/breeze_dark/' /home/$USER/.config/libreoffice/4/user/registrymodifications.xcu
    #sudo sed -i '/<item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="ShowTipOfTheDay" oor:op="fuse"><value>false</value></prop></item>/a <item oor:path="/org.openoffice.Office.Common/Misc"><prop oor:name="SymbolStyle" oor:op="fuse"><value>breeze_dark</value></prop></item>' /home/$USER/.config/libreoffice/4/user/registrymodifications.xcu
fi

if [[ $user_choice = *"{AUR} microsoft teams"* ]]; then
    yay -S  --noconfirm -needed --sudoloop --save teams-for-linux-bin

fi

if [[ $user_choice = *"Nvidia optimus telepités és beállítása laptophoz"* ]]; then
    sudo pacman -S --noconfirm --needed optimus-manager
	sudo pacman -S --noconfirm --needed optimus-manager-qt
	kate /etc/sddm.conf &
	zenity --warning --text=' Írd át ezeket!!\n\n\n X11 sor alá első kettő elé #\n és az utolsó sor után beírni    :wq ' --width='420' --height='100'
	sudo systemctl enable --now optimus-manager -f
	zenity --warning --text=' optimus-manager beállítás! \n\n\n beállítások Általános/ indítás belépéskor\n optimus/indítási mód: Nvidia\n Intel: Nem modesetting, hanem intel ' --width='420' --height='100'

fi

if [[ $user_choice = *"{AUR} Grand orgue"* ]]; then
    yay -S  --noconfirm -needed --sudoloop --save grandorgue-git
    #beállítása
#lsusb                #Ott kell lennie a midi eszköznek
#aconnect -i
#aseqdump -p ##        Ahol a ## helyére a midi eszköz száma megy.
#aplaymidi -p ##       midifile.mid
#sudo pacman -S --noconfirm --needed qsynth
#sudo yay -S  --needed fluidplug-git

fi

if [[ $user_choice = *"wine"* ]]; then
    sudo pacman -S --noconfirm --needed wine wine-mono wine-gecko winetricks

	winecfg &
	zenity --info --text='2 ablak fog felugrani. Az egyikben nyomj ra az install gombra, a masikat bezárhatod.' --width='420' --height='100' --title='Figyelmeztetes!'

fi

if [[ $user_choice = *"{AUR} Chrome távoli elérés"* ]]; then
    yay -S  --noconfirm -needed --sudoloop --save chrome-remote-desktop
    crd --setup

fi

# Cleanup

  sudo rm /home/$USER/.config/autostart/3progs.sh.desktop
  sudo chown -R $USER:$GROUP /home/$USER/


zenity --question --title='Újraindítás szükséges!' --text='Újraindítás 5sec múlva?' --width='300' --height='100'
if [ $? = 0 ]; then

(
echo "0" ;
echo "# Újraindítás 5s" ; sleep 1
echo "20" ;
echo "# Újraindítás 4s" ; sleep 1
echo "40" ;
echo "# Újraindítás 3s" ; sleep 1
echo "60" ;
echo "# Újraindítás 2s" ; sleep 1
echo "80" ;
echo "# Újraindítás 1s" ; sleep 1

) |
zenity --progress \
 --title="Az összes frissítés telepítve!" --width='300' \
 --text="Újraindítás" \
 --auto-close \

 sudo rm -rf /usr/share/raveprogs
 sudo rm /home/$USER/.config/autostart/raveprogs.desktop
 sleep 1
 sudo reboot;
 else
 echo ${bold}${yellow}A script futása végzett. Kilépés!${normal}
 exit 0;
fi
